Page MenuHomePhabricator

2 dhcp server run in failover mode can't sync hostname with each other
Blocked, HighPublic

Description

Hi, Guys
I met an issue that is my hostname is match with 2 dhcp server in failover mode built with vyos. Here is my vyos configuration .

If i want to resolve myhost1

node 1 returen 10.32.0.119 ( return right)
node 2 return ip or return an old ip 10.32.2.9 (return wrong)

And when build 2 vyos in vrrp mode .and dhcp in failover mode .when I run command show dhcp server leases ,There will be a lot of the same ip and mac address records. and the count number is wrong when run command show dhcp server statics, 2 dhcp pools counting information is the same.

show dhcp server statistics
Pool      Size    Leases    Available  Usage
------  ------  --------  -----------  -------
gclan      766       285          481  0%
gcwpa2     766       285          481  0%

vyos node 1

vyos@xadns12:~$ show configuration commands | strip-private
set high-availability vrrp group VRRPGROUP interface 'eth0'
set high-availability vrrp group VRRPGROUP priority '100'
set high-availability vrrp group VRRPGROUP rfc3768-compatibility
set high-availability vrrp group VRRPGROUP virtual-address 'xxx.xxx.0.8/22'
set high-availability vrrp group VRRPGROUP virtual-address 'xxx.xxx.0.18/22'
set high-availability vrrp group VRRPGROUP vrid '100'
set high-availability vrrp sync-group VRRPSYNCGROUP member 'VRRPGROUP'
set interfaces ethernet eth0 address 'xxx.xxx.0.12/22'
set interfaces ethernet eth0 duplex 'auto'
set interfaces ethernet eth0 hw-id 'XX:XX:XX:f1:11:a1'
set interfaces ethernet eth0 smp-affinity 'auto'
set interfaces ethernet eth0 speed 'auto'
set interfaces loopback lo
set protocols static route xxx.xxx.0.0/0 next-hop xxx.xxx.0.252
set service dhcp-server host-decl-name
set service dhcp-server hostfile-update
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 default-router 'xxx.xxx.0.252'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 dns-server 'xxx.xxx.0.8'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 dns-server 'xxx.xxx.0.18'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 domain-name xxxxxx
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover local-address 'xxx.xxx.0.12'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover name 'GCWPA2-DHCP-FAILOVER'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover peer-address 'xxx.xxx.0.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover status 'secondary'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 lease '7200'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 range 0 start 'xxx.xxx.1.0'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 range 0 stop 'xxx.xxx.3.254'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.72'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:94:bc:e2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.46'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:6d:af'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.64'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:02:29:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.82'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:7c:d5'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.92'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:3b:b1:a6'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.29'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:02:45:0b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.253'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:39:bb:61'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.13'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:2C:C5:16'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.36'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:65:58'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.199'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:32:1f:80'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.144'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:3c:8f:3b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.204'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:57:c6'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.134'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:95:31:78'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.89'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a6:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.119'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a7:6a'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.219'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.140'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:98:64:bd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.78'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.175'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:ea:1f:2f'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.101'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:01:e3:75'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.104'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:32:dd:57'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.115'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:74:8f:ab'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.65'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:15:b8:9e'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.41'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:a8:fb'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.99'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.164'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:7f:cd:8e'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.12'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:D0:E6:0F'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.166'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a9:91:df'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.162'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:23:38:dd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.11'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:77:4d'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.93'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e2:59:0b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.160'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:98:5f:82'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.55'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:4b:8a'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.28'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:5e:d6'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.74'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:6c:57'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.226'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e9:ea:4c'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.28'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:df:de:c7'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.29'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e0:1f:a5'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.87'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e4:a2:c7'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.254'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:db:e2:a3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:12:1b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.37'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:2f:2d:39'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.83'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:25:fd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a6:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.78'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.67'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:93:26:d2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.109'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:50:cc:1c'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.40'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:c3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a6:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.105'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a3:46:8f'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.33'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:0f:10:e4'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.31'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:6a:46:ac'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.108'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:30:da:36'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.176'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:69:f3:c0'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.89'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:80:7f:ff'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.112'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:61:00'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.254'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:db:e2:a3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.23'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a9:a1:9a'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.11'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:3f:f7:8c'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.35'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:bb:07:f7'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.252'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:33:6d:e2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:ea:6e:61'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.30'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:b2:05:ed'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.109'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:bc:bf:91'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.142'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:0f:7a:bd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.135'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:E2:A3:C1'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.98'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:7e:04'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.20'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9f:c7:e1'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.5'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:18:0e'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.210'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:53:df'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.121'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a3:66:22'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.13'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:2c:c5:16'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.225'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:2b:45'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters 'class "pxeclient"{match if substring(option vendor-class-identifier, 0, 9) = "PXEClient";'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '       if substring (option vendor-class-identifier,15,5)="00000" {  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '      #BIOS client   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '     filename "boot\\\\x86\\\\wdsnbp.com";   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '      }  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '      elsif substring (option vendor-class-identifier, 15,5)="00006" {  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '     #EFI client xxxxxx  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '    filename "boot\\\\x86\\\\wdsmgfw.efi";  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '    }   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '    else  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '           {   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '          # default to EFI 64 bit   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '         filename "boot\\\\x64\\\\wdsmgfw.efi";'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '        }'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '} '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 default-router 'xxx.xxx.200.1'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 dns-server 'xxx.xxx.0.8'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 dns-server 'xxx.xxx.0.18'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 domain-name xxxxxx
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover local-address 'xxx.xxx.0.12'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover name 'GCLAN-DHCP-FAILOVER'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover peer-address 'xxx.xxx.0.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover status 'secondary'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 lease '7200'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 range 0 start 'xxx.xxx.201.0'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 range 0 stop 'xxx.xxx.203.254'
set service dns forwarding cache-size '0'
set service dns forwarding domain c1esp1.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain c1esp1.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain c1esp2.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain c1esp2.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain c1teamsrv1.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain c1teamsrv1.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain demos.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain demos.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain xxx.net server 'xxx.xxx.0.2'
set service dns forwarding domain xxx.net server 'xxx.xxx.0.3'
set service dns forwarding domain xxx.net server 'xxx.xxx.0.2'
set service dns forwarding domain xxx.net server 'xxx.xxx.0.3'
set service dns forwarding domain prime.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain prime.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain site1.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain site1.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain testdemos.xxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain testdemos.xxx.com server 'xxx.xxx.0.10'
set service dns forwarding listen-address 'xxx.xxx.0.8'
set service dns forwarding listen-address 'xxx.xxx.0.1'
set service dns forwarding listen-address 'xxx.xxx.0.12'
set service dns forwarding listen-address 'xxx.xxx.0.18'
set service dns forwarding name-server 'xxx.xxx.0.53'
set service ssh
set system config-management commit-revisions '100'
set system console device ttyS0 speed '9600'
set system domain-search xxxxxx 'xxx.net'
set system host-name xxxxxx
set system login user xxxxxx authentication encrypted-password xxxxxx
set system login user xxxxxx authentication plaintext-password xxxxxx
set system login user xxxxxx level 'admin'
set system name-server 'xxx.xxx.0.1'
set system ntp server xxxxx.tld
set system ntp server xxxxx.tld
set system ntp server xxxxx.tld
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.72'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.46'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.64'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.82'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.92'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.29'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.253'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.13'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.36'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.199'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.144'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.204'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.134'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.89'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.119'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.140'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.78'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.175'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.101'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.104'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.219'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.115'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.65'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.41'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.99'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.164'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.12'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.166'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.162'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.11'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.93'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.160'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.55'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.28'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.74'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.226'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.28'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.29'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.87'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.254'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.37'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.83'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.78'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.67'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.109'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.40'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.105'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.33'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.31'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.108'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.176'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.89'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.112'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.254'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.23'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.11'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.35'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.252'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.30'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.109'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.142'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.135'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.98'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.20'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.5'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.210'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.121'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.13'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.225'
set system syslog global facility all level 'info'
set system syslog global facility protocols level 'debug'
set system time-zone 'Asia/Chongqing'

vyos node 2

vyos@xadns15:~$ show configuration commands | strip-private
set high-availability vrrp group VRRPGROUP interface 'eth0'
set high-availability vrrp group VRRPGROUP priority '200'
set high-availability vrrp group VRRPGROUP rfc3768-compatibility
set high-availability vrrp group VRRPGROUP virtual-address 'xxx.xxx.0.8/22'
set high-availability vrrp group VRRPGROUP virtual-address 'xxx.xxx.0.18/22'
set high-availability vrrp group VRRPGROUP vrid '100'
set high-availability vrrp sync-group VRRPSYNCGROUP member 'VRRPGROUP'
set interfaces ethernet eth0 address 'xxx.xxx.0.15/22'
set interfaces ethernet eth0 duplex 'auto'
set interfaces ethernet eth0 hw-id 'XX:XX:XX:66:55:48'
set interfaces ethernet eth0 smp-affinity 'auto'
set interfaces ethernet eth0 speed 'auto'
set interfaces loopback lo
set protocols static route xxx.xxx.0.0/0 next-hop xxx.xxx.0.252
set service dhcp-server host-decl-name
set service dhcp-server hostfile-update
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 default-router 'xxx.xxx.0.252'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 dns-server 'xxx.xxx.0.8'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 dns-server 'xxx.xxx.0.18'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 domain-name xxxxxx
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover local-address 'xxx.xxx.0.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover name 'GCWPA2-DHCP-FAILOVER'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover peer-address 'xxx.xxx.0.12'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 failover status 'primary'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 lease '7200'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 ntp-server 'xxx.xxx.0.2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 ntp-server 'xxx.xxx.0.3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 range 0 start 'xxx.xxx.1.0'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 range 0 stop 'xxx.xxx.3.254'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.253'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:39:bb:61'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.72'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:94:bc:e2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.46'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:6d:af'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.64'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:02:29:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.82'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:7c:d5'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.29'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:02:45:0b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.13'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:2C:C5:16'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.36'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:65:58'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.199'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:32:1f:80'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.204'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a4:57:c6'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.134'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:95:31:78'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.89'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a6:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.119'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a7:6a'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.219'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.140'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:98:64:bd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.78'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.175'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:ea:1f:2f'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.101'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:01:e3:75'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.104'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:32:dd:57'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.115'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:74:8f:ab'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.65'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:15:b8:9e'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.41'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:a8:fb'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.99'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.144'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:3c:8f:3b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.92'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:3b:b1:a6'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.164'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:7f:cd:8e'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.12'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:D0:E6:0F'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.166'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a9:91:df'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.162'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:23:38:dd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.98'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:7e:04'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.11'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:77:4d'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.93'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e2:59:0b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.160'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:98:5f:82'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.55'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:4b:8a'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.28'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:5e:d6'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.74'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:6c:57'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.226'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e9:ea:4c'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.28'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:df:de:c7'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.29'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e0:1f:a5'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.87'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:e4:a2:c7'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.254'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:db:e2:a3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:12:1b'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.37'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:2f:2d:39'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.83'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:25:fd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a6:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.78'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:cc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.33'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:0f:10:e4'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.31'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:6a:46:ac'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.67'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:93:26:d2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.109'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:50:cc:1c'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.40'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:97:28:c3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:eb:a6:fc'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.105'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a3:46:8f'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.108'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:30:da:36'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.176'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:69:f3:c0'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.89'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:80:7f:ff'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.112'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:61:00'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.254'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:db:e2:a3'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.23'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a9:a1:9a'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.11'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:3f:f7:8c'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.35'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:bb:07:f7'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.252'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:33:6d:e2'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:ea:6e:61'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.30'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:b2:05:ed'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.109'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:bc:bf:91'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.142'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:0f:7a:bd'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.135'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:E2:A3:C1'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.98'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:7e:04'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.20'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9f:c7:e1'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.1.5'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:18:0e'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.210'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:53:df'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.3.121'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:a3:66:22'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.2.13'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:2c:c5:16'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx ip-address 'xxx.xxx.0.225'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 static-mapping xxxxxx mac-address 'XX:XX:XX:9b:2b:45'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters 'class "pxeclient"{match if substring(option vendor-class-identifier, 0, 9) = "PXEClient";'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '       if substring (option vendor-class-identifier,15,5)="00000" {  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '      #BIOS client   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '     filename "boot\\\\x86\\\\wdsnbp.com";   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '      }  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '      elsif substring (option vendor-class-identifier, 15,5)="00006" {  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '     #EFI client xxxxxx  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '    filename "boot\\\\x86\\\\wdsmgfw.efi";  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '    }   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '    else  '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '           {   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '          # default to EFI 64 bit   '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '         filename "boot\\\\x64\\\\wdsmgfw.efi";'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '        }'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.0.0/22 subnet-parameters '} '
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 default-router 'xxx.xxx.200.1'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 dns-server 'xxx.xxx.0.8'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 dns-server 'xxx.xxx.0.18'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 domain-name xxxxxx
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover local-address 'xxx.xxx.0.15'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover name 'GCLAN-DHCP-FAILOVER'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover peer-address 'xxx.xxx.0.12'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 failover status 'primary'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 lease '7200'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 range 0 start 'xxx.xxx.201.0'
set service dhcp-server shared-network-name xxxxxx subnet xxx.xxx.200.0/22 range 0 stop 'xxx.xxx.203.254'
set service dns forwarding cache-size '0'
set service dns forwarding domain c1esp1.xx.com server 'xxx.xxx.0.10'
set service dns forwarding domain c1esp1.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain c1esp2.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain c1esp2.xxxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain c1teamsrv1.xxxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain c1teamsrv1.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain demos.xxxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain demos.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain xxx.net server 'xxx.xxx.0.2'
set service dns forwarding domain prime.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain prime.xxxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain site1.xxxx.com server 'xxx.xxx.0.10'
set service dns forwarding domain site1.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain testdemos.xxxx.com server 'xxx.xxx.0.33'
set service dns forwarding domain testdemos.xxxx.com server 'xxx.xxx.0.10'
set service dns forwarding listen-address 'xxx.xxx.0.18'
set service dns forwarding listen-address 'xxx.xxx.0.8'
set service dns forwarding listen-address 'xxx.xxx.0.1'
set service dns forwarding listen-address 'xxx.xxx.0.15'
set service dns forwarding name-server 'xxx.xxx.0.53'
set service dns forwarding name-server 'xxx.xxx.0.12'
set service snmp community xxxx
set service snmp contact 'xx@xxxxx.com'
set service snmp listen-address xxx.xxx.0.8
set service snmp listen-address xxx.xxx.0.15
set service ssh
set system config-management commit-revisions '100'
set system console device ttyS0 speed '9600'
set system domain-search xxxxxx 'xxxx.xx'
set system host-name xxxxxx
set system login user xxxxxx authentication encrypted-password xxxxxx
set system login user xxxxxx authentication plaintext-password xxxxxx
set system login user xxxxxx level 'admin'
set system name-server 'xxx.xxx.0.1'
set system ntp server xxxxx.tld
set system ntp server xxxxx.tld
set system ntp server xxxxx.tld
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.253'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.72'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.46'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.64'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.82'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.92'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.29'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.13'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.36'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.199'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.144'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.204'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.134'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.89'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.119'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.140'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.78'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.175'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.101'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.104'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.219'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.115'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.65'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.41'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.99'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.164'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.12'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.166'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.162'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.98'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.11'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.93'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.160'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.55'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.28'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.74'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.226'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.28'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.29'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.87'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.254'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.37'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.83'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.78'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.67'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.109'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.40'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.105'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.33'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.31'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.108'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.176'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.89'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.112'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.254'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.23'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.11'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.35'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.252'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.15'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.30'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.109'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.142'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.135'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.98'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.20'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.1.5'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.210'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.3.121'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.2.13'
set system static-host-mapping host-name xxxxxx inet 'xxx.xxx.0.225'
set system syslog global facility all level 'info'
set system syslog global facility protocols level 'debug'
set system time-zone 'Asia/Chongqing'

Details

Difficulty level
Unknown (require assessment)
Version
-
Why the issue appeared?
Will be filled on close

Event Timeline

dongjunbo created this object in space S1 VyOS Public.
dongjunbo updated the task description. (Show Details)May 29 2019, 3:05 AM
dongjunbo triaged this task as High priority.May 29 2019, 4:12 AM
dongjunbo updated the task description. (Show Details)May 29 2019, 7:29 AM
dongjunbo renamed this task from 2 dhcp server run in failover mode can now sync with each other to 2 dhcp server run in failover mode can't sync hostname with each other.
pasik added a subscriber: pasik.May 29 2019, 12:18 PM
zsdc added a subscriber: zsdc.EditedMay 30 2019, 7:52 PM

Problems with DHCP server status viewing can be fixed with the next patch for show_dhcp.py :

--- orig/show_dhcp.py	2019-05-30 22:45:01.625708032 +0300
+++ T1416/show_dhcp.py	2019-05-30 22:40:33.302777881 +0300
@@ -55,15 +55,28 @@
     return data
 
 def get_leases(leases, state=None, pool=None):
+    # define variable for leases
+    leases_dict = {}
+
+    # get leases from file
     leases = IscDhcpLeases(lease_file).get()
 
-    if state is not None:
-        leases = list(filter(lambda x: x.binding_state == 'active', leases))
+    # convert leases list to dictionary to avoid records duplication - it's the fastest and easiest way to do this
+    for lease in leases:
+        leases_dict[lease.ip] = lease
+
+    # filter leases by state
+    if state is 'active':
+        leases = list(filter(lambda x: x.active and x.valid, leases_dict.values()))
+    if state is 'free':
+        leases = list(filter(lambda x: x.binding_state == 'free', leases_dict.values()))
 
+    # filter lease by pool name
     if pool is not None:
         leases = list(filter(lambda x: in_pool(x, pool), leases))
 
-    return list(map(get_lease_data, leases))
+    # return sorted leases list
+    return sorted(list(map(get_lease_data, leases)), key = lambda k: k['ip'])
 
 def show_leases(leases):
     headers = ["IP address", "Hardware address", "Lease expiration", "Pool", "Client Name"]
@@ -146,7 +159,7 @@
             leases = len(get_leases(lease_file, state='active', pool=args.pool))
 
             if size != 0:
-                use_percentage = round(leases / size) * 100
+                use_percentage = round(leases / size * 100)
             else:
                 use_percentage = 0

Additionally, to fix pool selector we need to change in https://github.com/vyos/vyos-1x/blob/0a16c85a8b6aa728e142156e0e985ac21916db20/op-mode-definitions/dhcp.xml
... --pool $4 to ... --pool $6 (in two places - for leases and statistics).

c-po claimed this task.May 30 2019, 9:20 PM
c-po changed the task status from Open to In progress.
c-po added a comment.Jun 1 2019, 7:39 AM

Please test and verify with latest rolling

c-po changed the task status from In progress to Backport candidate.Jun 1 2019, 7:39 AM
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
dongjunbo added a comment.EditedJun 2 2019, 2:47 PM
In T1416#37304, @c-po wrote:

Please test and verify with latest rolling

Hi, c-po

Does I can use the settings to make dhcp failover mode can update and sync hostname with 2 vyos ?

But

Taras Pudiak wrote:
Hello!
Because of software and protocol limitations, the "backup" DHCP server can't be used for DNS resolving of clients in your local zone via hostfile-update option. This option affects only local router, so actual information about hostname can be available only via that router, which offered an address to the client. That's why you are receiving the wrong answers from the node1. In your case, more correct will be using dynamic-dns-update together with RFC 2136 compatible DNS server.
According to incorrect DHCP statistics and multiplying leases information, we can confirm this behavior and will investigate this.
Regards, Taras Pudiak.

c-po added a comment.Jun 3 2019, 6:49 PM

Unfortunately this was a miss understanding between @zsdc and me, but the provided fix targeted the same direction.

In T1416#37376, @c-po wrote:

Unfortunately this was a miss understanding between @zsdc and me, but the provided fix targeted the same direction.

Okay, I'll try it.

c-po removed c-po as the assignee of this task.Jun 18 2019, 8:41 PM
c-po added a subscriber: c-po.
zsdc added a comment.Mon, Jun 24, 3:24 PM

Hello, @dongjunbo!
Have you tried current rolling releases to check if leases information view work correctly now?

HI, @zsdc

display dhcp lease should works, right?
How about dhcp work in failover mode. Should 2 dhcp server got hostname and sync match of hostname and ip address in 2 vyos ?

In T1416#38611, @zsdc wrote:

Hello, @dongjunbo!
Have you tried current rolling releases to check if leases information view work correctly now?

Seem like static counting still not right

Another request: Is that easy to may host-update sync hostname and ip address with 2 vyos ?

jjakob added a subscriber: jjakob.Tue, Jun 25, 11:36 AM

I think this is https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=810971
Fixed in isc-dhcp 4.3.4-1 so pulling in newer isc-dhcp should fix it.

@dongjunbo I don't understand the question. If you mean hostname and IP sync for DHCP leases, then yes, it should already do that via failover (except for hostname sync, which should work but doesn't due to this bug). Vyos uses isc-dhcp, so whatever it supports can be done in vyos (read isc-dhcp version 4.3.1 documentation).

As for the show statistics bug, please open a separate task and provide some more info (most useful would be /config/dhcpd.leases so we can test the code locally).
I think show_dhcp.py could do with some overhaul in the spirit of my recent show_dhcpv6.py additions, with better handling of different lease states etc.

dongjunbo added a comment.EditedWed, Jun 26, 9:04 AM
In T1416#38770, @jjakob wrote:

I think this is https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=810971
Fixed in isc-dhcp 4.3.4-1 so pulling in newer isc-dhcp should fix it.
@dongjunbo I don't understand the question. If you mean hostname and IP sync for DHCP leases, then yes, it should already do that via failover (except for hostname sync, which should work but doesn't due to this bug). Vyos uses isc-dhcp, so whatever it supports can be done in vyos (read isc-dhcp version 4.3.1 documentation).
As for the show statistics bug, please open a separate task and provide some more info (most useful would be /config/dhcpd.leases so we can test the code locally).
I think show_dhcp.py could do with some overhaul in the spirit of my recent show_dhcpv6.py additions, with better handling of different lease states etc.

Hi, jjakob
Thanks for your information.
After search in google. I find it.
According this :https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=810971 . The bug has been fixed in new version.
Is that to say when vyos upgraded the isc-dhcpd version ,the the bug will be fixed , right ?
@syncer @c-po
Is that possible upgrade isc-dhcpd version to fixed this bug?

vyos@xxxxxxxxxxx:~$ show version
Version:          VyOS 1.2.1
Built by:         Sentrium S.L.
Built on:         Sun 14 Apr 2019 12:13 UTC
Build ID:         4ccd819a-db31-452e-b34b-a0b24af4e984

Architecture:     x86_64
Boot via:         installed image
System type:      KVM guest

Hardware vendor:  QEMU
Hardware model:   Standard PC (i440FX + PIIX, 1996)
Hardware S/N:     Unknown
Hardware UUID:    Unknown

Copyright:        VyOS maintainers and contributors
vyos@xxxxxxxxx:~$ dpkg -l | grep dhcp
ii  isc-dhcp-client                  4.3.1-6+deb8u3                   amd64        DHCP client for automatically obtaining an IP address
ii  isc-dhcp-common                  4.3.1-6+deb8u3                   amd64        common files used by all of the isc-dhcp packages
ii  isc-dhcp-relay                   4.3.1-6+deb8u3                   amd64        ISC DHCP relay daemon
ii  isc-dhcp-server                  4.3.1-6+deb8u3                   amd64        ISC DHCP server for automatic IP address assignment
ii  python3-isc-dhcp-leases          0.8.1-1                          all          Python module for reading dhcp leases files (Python 3 interface)
vyos@xxxxxx:~$
zsdc changed the task status from Backport candidate to Blocked.Wed, Jun 26, 7:57 PM

Hello, @dongjunbo!

I have checked behavior in 4.3.5 and 4.4.1 versions. The information about hostname is still not synced from primary to secondary.
As I see from the information in the Debian bug report, it is about the other bug - when hostname not rewritten after offering lease. From the ISC-DHCP changelog:

This corrects an issue where leases that were offered but ignored retained the client hostname from the original client.

Also, I have found another one problem - there is no trigger in the failover mechanism to run external commands, which are using for hostname updates. This means that, even if hostname would be synced via failover, this will be not enough for updating information inside the hosts.

Therefore, due to lack of functionality inside the ISC-DHCP syncing hostnames inside the hosts file via DHCP failover is currently impossible in the VyOS.

In T1416#38821, @zsdc wrote:

I have checked behavior in 4.3.5 and 4.4.1 versions. The information about hostname is still not synced from primary to secondary.

I wonder if this was even ever a working feature. Perhaps check the source of isc-dhcp.

As I see from the information in the Debian bug report, it is about the other bug - when hostname not rewritten after offering lease. From the ISC-DHCP changelog:

This corrects an issue where leases that were offered but ignored retained the client hostname from the original client.

Also, I have found another one problem - there is no trigger in the failover mechanism to run external commands, which are using for hostname updates. This means that, even if hostname would be synced via failover, this will be not enough for updating information inside the hosts.
Therefore, due to lack of functionality inside the ISC-DHCP syncing hostnames inside the hosts file via DHCP failover is currently impossible in the VyOS.

Yeah, I'd mark this not-a-bug. Update the documentation to mention hosts file update with failover doesn't maintain consistent state between failover servers.